<script setup lang="ts">
import type { WorkflowOut } from "@/client/types.gen.ts";
import DeleteModal from "@/components/modals/DeleteModal.vue";

const props = defineProps<{
  modalId: string;
  workflow?: WorkflowOut;
  backModalId?: string;
}>();

const emit = defineEmits<{
  (e: "confirm-delete", workflowId: string): void;
}>();

function deleteWorkflow() {
  if (props.workflow != undefined) {
    emit("confirm-delete", props.workflow.workflow_id);
    window._paq?.push(["trackEvent", "Delete", "workflow"]);
  }
}
</script>

<template>
  <delete-modal
    :modal-id="props.modalId"
    :back-modal-id="props.backModalId"
    delete-type="Workflow"
    :disabled="props.workflow == undefined"
    @confirm-delete="deleteWorkflow"
  >
    <template #body>
      <p>
        Are you sure you want to delete the workflow
        <strong v-if="props.workflow">{{ props.workflow.name }}</strong> and its
        {{ props.workflow?.versions.length }} versions?<br />
        This is not reversible and all KPIs related to this workflow will be
        lost.
      </p>
    </template>
  </delete-modal>
</template>

<style scoped></style>
